Browser Plugins

Some content and tools might require the following browser plugins.

Adobe® Flash® Player, version 10 or later
For supported versions of Chrome and Edge browsers, Flash is embedded but must be enabled.
helpx.adobe.com/flash-player.html
Apple® QuickTime®
support.apple.com/downloads/quicktime
Java
www.java.com/getjava
PDF Reader (Adobe Reader or Apple Preview)
A PDF reader is required to print activities/assignments.
Current versions of Chrome, Firefox, and Safari can display and print PDF files.
get.adobe.com/reader
RealPlayer
www.real.com